info.bioinfweb.jphyloio.formats.nexus

## Interface NexusConstants

- All Known Implementing Classes:
    AbstractCharLabelsReader, AbstractKeyValueCommandReader, AbstractNexusEventReceiver, AbstractNexusSetReader, AbstractNexusSetsEventReceiver, AbstractNexusSetWriter, CharactersDataUnalignedBlockHandler, CharacterSetEventReceiver, CharLabelsReader, CharSetReader, CharStateLabelsReader, DefaultCommandReader, DimensionsReader, ENewickNetworkReader, ENewickNetworksBlockHandler, FormatReader, IDBasedSetsReader, LinkReader, MatrixReader, NexusEventReader, NexusEventWriter, NexusFactory, NexusNewickReaderNodeLabelProcessor, NexusReaderStreamDataProvider, ReferenceOnlySetReceiver, TaxaBlockHandler, TaxLabelsReader, TaxSetReader, TitleReader, TokenSetEventReceiver, TranslateReader, TreeReader, TreesBlockHandler, TreeSetReader

      public interface NexusConstants

  Defines constants necessary to read and write Nexus files.
  Author:
    Ben Stöver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALTERNATIVE_END_COMMAND`
    `static java.lang.String` | `BEGIN_COMMAND`
    `static java.lang.String` | `BLOCK_NAME_CHARACTERS`
    `static java.lang.String` | `BLOCK_NAME_DATA`
    `static java.lang.String` | `BLOCK_NAME_NETWORKS` This block name is not part of the initial Nexus standard and used by `ENewickNetworksBlockHandler`.
    `static java.lang.String` | `BLOCK_NAME_SETS`
    `static java.lang.String` | `BLOCK_NAME_TAXA`
    `static java.lang.String` | `BLOCK_NAME_TREES`
    `static java.lang.String` | `BLOCK_NAME_UNALIGNED`
    `static char` | `CHARACTER_NAME_STATES_SEPARATOR`
    `static char` | `COMMAND_END`
    `static java.lang.String` | `COMMAND_NAME_CHAR_LABELS`
    `static java.lang.String` | `COMMAND_NAME_CHAR_SET`
    `static java.lang.String` | `COMMAND_NAME_CHAR_STATE_LABELS`
    `static java.lang.String` | `COMMAND_NAME_DIMENSIONS`
    `static java.lang.String` | `COMMAND_NAME_FORMAT`
    `static java.lang.String` | `COMMAND_NAME_LINK`
    `static java.lang.String` | `COMMAND_NAME_MATRIX`
    `static java.lang.String` | `COMMAND_NAME_NETWORK` This command name is not part of the initial Nexus standard and used by `ENewickNetworkReader`.
    `static java.lang.String` | `COMMAND_NAME_TAX_LABELS`
    `static java.lang.String` | `COMMAND_NAME_TAXON_SET`
    `static java.lang.String` | `COMMAND_NAME_TITLE`
    `static java.lang.String` | `COMMAND_NAME_TRANSLATE`
    `static java.lang.String` | `COMMAND_NAME_TREE`
    `static java.lang.String` | `COMMAND_NAME_TREE_SET`
    `static char` | `COMMENT_END`
    `static char` | `COMMENT_START`
    `static java.lang.String` | `DIMENSIONS_SUBCOMMAND_NCHAR`
    `static java.lang.String` | `DIMENSIONS_SUBCOMMAND_NEW_TAXA`
    `static java.lang.String` | `DIMENSIONS_SUBCOMMAND_NTAX`
    `static char` | `ELEMENT_SEPARATOR`
    `static java.lang.String` | `END_COMMAND`
    `static java.lang.String` | `FIRST_LINE`
    `static java.lang.String` | `FORMAT_NAME_STANDARD`
    `static java.lang.String` | `FORMAT_NAME_VECTOR`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_DATA_TYPE`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_GAP_CHAR`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_INTERLEAVE`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_MATCH_CHAR`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_MISSING_CHAR`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_NO_LABELS`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_NO_TOKENS`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_SYMBOLS`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_TOKENS`
    `static java.lang.String` | `FORMAT_SUBCOMMAND_TRANSPOSE`
    `static java.lang.String` | `FORMAT_VALUE_CONTINUOUS_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_DNA_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_MIXED_DATA_TYPE` This is not part of the official Nexus definition, but is a MrBayes extension.
    `static java.lang.String` | `FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_PROTEIN_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_RNA_DATA_TYPE`
    `static java.lang.String` | `FORMAT_VALUE_STANDARD_DATA_TYPE`
    `static char` | `KEY_VALUE_SEPARATOR`
    `static char` | `MATRIX_POLYMORPHIC_TOKEN_END`
    `static char` | `MATRIX_POLYMORPHIC_TOKEN_START`
    `static char` | `MATRIX_UNCERTAINS_TOKEN_END`
    `static char` | `MATRIX_UNCERTAINS_TOKEN_START`
    `static java.lang.String` | `NEXUS_FORMAT_NAME`
    `static java.lang.String` | `NEXUS_NAMESPACE_PREFIX`
    `static java.lang.String` | `NEXUS_PREDICATE_NAMESPACE`
    `static char` | `SET_END_INDEX_SYMBOL`
    `static java.lang.String` | `SET_KEY_WORD_ALL`
    `static java.lang.String` | `SET_KEY_WORD_REMAINING`
    `static char` | `SET_REGULAR_INTERVAL_SYMBOL`
    `static char` | `SET_TO_SYMBOL`
    `static char` | `SET_VECTOR_CONTAINED`
    `static char` | `SET_VECTOR_NOT_CONTAINED`
    `static java.util.regex.Pattern` | `UNTIL_WHITESPACE_COMMENT_COMMAND_EQUAL_PATTERN`
    `static java.util.regex.Pattern` | `UNTIL_WHITESPACE_COMMENT_COMMAND_PATTERN`
    `static char` | `VALUE_DELIMITER`
    `static char` | `WORD_DELIMITER`

- - ### Field Detail

    - #### NEXUS_FORMAT_NAME

          static final java.lang.String NEXUS_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### FIRST_LINE

          static final java.lang.String FIRST_LINE

      See Also:
        Constant Field Values

    - #### BEGIN_COMMAND

          static final java.lang.String BEGIN_COMMAND

      See Also:
        Constant Field Values

    - #### END_COMMAND

          static final java.lang.String END_COMMAND

      See Also:
        Constant Field Values

    - #### ALTERNATIVE_END_COMMAND

          static final java.lang.String ALTERNATIVE_END_COMMAND

      See Also:
        Constant Field Values

    - #### COMMAND_END

          static final char COMMAND_END

      See Also:
        Constant Field Values

    - #### COMMENT_START

          static final char COMMENT_START

      See Also:
        Constant Field Values

    - #### COMMENT_END

          static final char COMMENT_END

      See Also:
        Constant Field Values

    - #### KEY_VALUE_SEPARATOR

          static final char KEY_VALUE_SEPARATOR

      See Also:
        Constant Field Values

    - #### WORD_DELIMITER

          static final char WORD_DELIMITER

      See Also:
        Constant Field Values

    - #### VALUE_DELIMITER

          static final char VALUE_DELIMITER

      See Also:
        Constant Field Values

    - #### ELEMENT_SEPARATOR

          static final char ELEMENT_SEPARATOR

      See Also:
        Constant Field Values

    - #### BLOCK_NAME_TAXA

          static final java.lang.String BLOCK_NAME_TAXA

      See Also:
        Constant Field Values

    - #### BLOCK_NAME_CHARACTERS

          static final java.lang.String BLOCK_NAME_CHARACTERS

      See Also:
        Constant Field Values

    - #### BLOCK_NAME_UNALIGNED

          static final java.lang.String BLOCK_NAME_UNALIGNED

      See Also:
        Constant Field Values

    - #### BLOCK_NAME_DATA

          static final java.lang.String BLOCK_NAME_DATA

      See Also:
        Constant Field Values

    - #### BLOCK_NAME_SETS

          static final java.lang.String BLOCK_NAME_SETS

      See Also:
        Constant Field Values

    - #### BLOCK_NAME_TREES

          static final java.lang.String BLOCK_NAME_TREES

      See Also:
        Constant Field Values

    - #### BLOCK_NAME_NETWORKS

          static final java.lang.String BLOCK_NAME_NETWORKS

      This block name is not part of the initial Nexus standard and used by `ENewickNetworksBlockHandler`.
      See Also:
        Constant Field Values

    - #### COMMAND_NAME_TITLE

          static final java.lang.String COMMAND_NAME_TITLE

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_LINK

          static final java.lang.String COMMAND_NAME_LINK

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_TAX_LABELS

          static final java.lang.String COMMAND_NAME_TAX_LABELS

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_DIMENSIONS

          static final java.lang.String COMMAND_NAME_DIMENSIONS

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_FORMAT

          static final java.lang.String COMMAND_NAME_FORMAT

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_CHAR_LABELS

          static final java.lang.String COMMAND_NAME_CHAR_LABELS

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_CHAR_STATE_LABELS

          static final java.lang.String COMMAND_NAME_CHAR_STATE_LABELS

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_MATRIX

          static final java.lang.String COMMAND_NAME_MATRIX

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_TRANSLATE

          static final java.lang.String COMMAND_NAME_TRANSLATE

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_TREE

          static final java.lang.String COMMAND_NAME_TREE

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_CHAR_SET

          static final java.lang.String COMMAND_NAME_CHAR_SET

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_TAXON_SET

          static final java.lang.String COMMAND_NAME_TAXON_SET

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_TREE_SET

          static final java.lang.String COMMAND_NAME_TREE_SET

      See Also:
        Constant Field Values

    - #### COMMAND_NAME_NETWORK

          static final java.lang.String COMMAND_NAME_NETWORK

      This command name is not part of the initial Nexus standard and used by `ENewickNetworkReader`.
      See Also:
        Constant Field Values

    - #### DIMENSIONS_SUBCOMMAND_NEW_TAXA

          static final java.lang.String DIMENSIONS_SUBCOMMAND_NEW_TAXA

      See Also:
        Constant Field Values

    - #### DIMENSIONS_SUBCOMMAND_NTAX

          static final java.lang.String DIMENSIONS_SUBCOMMAND_NTAX

      See Also:
        Constant Field Values

    - #### DIMENSIONS_SUBCOMMAND_NCHAR

          static final java.lang.String DIMENSIONS_SUBCOMMAND_NCHAR

      See Also:
        Constant Field Values

    - #### FORMAT_NAME_STANDARD

          static final java.lang.String FORMAT_NAME_STANDARD

      See Also:
        Constant Field Values

    - #### FORMAT_NAME_VECTOR

          static final java.lang.String FORMAT_NAME_VECTOR

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_DATA_TYPE

          static final java.lang.String FORMAT_SUBCOMMAND_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_TOKENS

          static final java.lang.String FORMAT_SUBCOMMAND_TOKENS

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_NO_TOKENS

          static final java.lang.String FORMAT_SUBCOMMAND_NO_TOKENS

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_INTERLEAVE

          static final java.lang.String FORMAT_SUBCOMMAND_INTERLEAVE

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_TRANSPOSE

          static final java.lang.String FORMAT_SUBCOMMAND_TRANSPOSE

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_NO_LABELS

          static final java.lang.String FORMAT_SUBCOMMAND_NO_LABELS

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_MATCH_CHAR

          static final java.lang.String FORMAT_SUBCOMMAND_MATCH_CHAR

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_MISSING_CHAR

          static final java.lang.String FORMAT_SUBCOMMAND_MISSING_CHAR

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_GAP_CHAR

          static final java.lang.String FORMAT_SUBCOMMAND_GAP_CHAR

      See Also:
        Constant Field Values

    - #### FORMAT_SUBCOMMAND_SYMBOLS

          static final java.lang.String FORMAT_SUBCOMMAND_SYMBOLS

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_STANDARD_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_STANDARD_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_DNA_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_DNA_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_RNA_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_RNA_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_PROTEIN_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_PROTEIN_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_CONTINUOUS_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_CONTINUOUS_DATA_TYPE

      See Also:
        Constant Field Values

    - #### FORMAT_VALUE_MIXED_DATA_TYPE

          static final java.lang.String FORMAT_VALUE_MIXED_DATA_TYPE

      This is not part of the official Nexus definition, but is a MrBayes extension.
      See Also:
        Constant Field Values

    - #### CHARACTER_NAME_STATES_SEPARATOR

          static final char CHARACTER_NAME_STATES_SEPARATOR

      See Also:
        Constant Field Values

    - #### MATRIX_POLYMORPHIC_TOKEN_START

          static final char MATRIX_POLYMORPHIC_TOKEN_START

      See Also:
        Constant Field Values

    - #### MATRIX_POLYMORPHIC_TOKEN_END

          static final char MATRIX_POLYMORPHIC_TOKEN_END

      See Also:
        Constant Field Values

    - #### MATRIX_UNCERTAINS_TOKEN_START

          static final char MATRIX_UNCERTAINS_TOKEN_START

      See Also:
        Constant Field Values

    - #### MATRIX_UNCERTAINS_TOKEN_END

          static final char MATRIX_UNCERTAINS_TOKEN_END

      See Also:
        Constant Field Values

    - #### SET_TO_SYMBOL

          static final char SET_TO_SYMBOL

      See Also:
        Constant Field Values

    - #### SET_END_INDEX_SYMBOL

          static final char SET_END_INDEX_SYMBOL

      See Also:
        Constant Field Values

    - #### SET_REGULAR_INTERVAL_SYMBOL

          static final char SET_REGULAR_INTERVAL_SYMBOL

      See Also:
        Constant Field Values

    - #### SET_KEY_WORD_ALL

          static final java.lang.String SET_KEY_WORD_ALL

      See Also:
        Constant Field Values

    - #### SET_KEY_WORD_REMAINING

          static final java.lang.String SET_KEY_WORD_REMAINING

      See Also:
        Constant Field Values

    - #### SET_VECTOR_NOT_CONTAINED

          static final char SET_VECTOR_NOT_CONTAINED

      See Also:
        Constant Field Values

    - #### SET_VECTOR_CONTAINED

          static final char SET_VECTOR_CONTAINED

      See Also:
        Constant Field Values

    - #### NEXUS_NAMESPACE_PREFIX

          static final java.lang.String NEXUS_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### NEXUS_PREDICATE_NAMESPACE

          static final java.lang.String NEXUS_PREDICATE_NAMESPACE

      See Also:
        Constant Field Values

    - #### UNTIL_WHITESPACE_COMMENT_COMMAND_PATTERN

          static final java.util.regex.Pattern UNTIL_WHITESPACE_COMMENT_COMMAND_PATTERN

    - #### UNTIL_WHITESPACE_COMMENT_COMMAND_EQUAL_PATTERN

          static final java.util.regex.Pattern UNTIL_WHITESPACE_COMMENT_COMMAND_EQUAL_PATTERN